com.virtual.tour.road.com.virtual.tour.road.vista

## Class FragmentNavigationDrawer.FragmentDrawerItemListener

- java.lang.Object
- - com.virtual.tour.road.com.virtual.tour.road.vista.FragmentNavigationDrawer.FragmentDrawerItemListener

- All Implemented Interfaces:
    android.widget.AdapterView.OnItemClickListener
  Enclosing class:
    FragmentNavigationDrawer

      private class FragmentNavigationDrawer.FragmentDrawerItemListener
      extends java.lang.Object
      implements android.widget.AdapterView.OnItemClickListener

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `FragmentDrawerItemListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onItemClick(android.widget.AdapterView<?> parent, android.view.View view, int position, long id)` Callback method to be invoked when an item in this AdapterView has been clicked.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FragmentDrawerItemListener

          private FragmentDrawerItemListener()

  - ### Method Detail

    - #### onItemClick

          public void onItemClick(android.widget.AdapterView<?> parent,
                                  android.view.View view,
                                  int position,
                                  long id)

      Description copied from interface: `android.widget.AdapterView.OnItemClickListener`
      Callback method to be invoked when an item in this AdapterView has been clicked.

      Implementers can call getItemAtPosition(position) if they need to access the data associated with the selected item.

      Specified by:
        `onItemClick` in interface `android.widget.AdapterView.OnItemClickListener`
      Parameters:
        `parent` - The AdapterView where the click happened.
        `view` - The view within the AdapterView that was clicked (this will be a view provided by the adapter)
        `position` - The position of the view in the adapter.
        `id` - The row id of the item that was clicked.